<#--这里放主数据集内容-->
<#list layout.flow as group>
<#--流程数据集-->
                                ,{
                                    "id": "${newId()}",
                                    "type": "fx-form-panel",
                                    "shape": "panel",
                                    "props": {
                                        "size": "16",
                                        "backgroundColor": "--color-transparent"
                                    },
                                    "children": []
                                },
    <#include "incModel/inc_card_fields_only.ftl"/>
</#list>
                            ,{
                                "id": "${newId()}",
                                "type": "fx-form-panel",
                                "shape": "panel",
                                "props": {},
                                "children": []
                            }
                        ]
                    },
                    {
                        "id": "${newId()}",
                        "type": "fx-form-panel",
                        "shape": "panel",
                        "props": {
                            "size": "16",
                        "backgroundColor": "--color-transparent"
                        },
                        "children": []
                    },
                    {
                        "id": "${newId()}",
                        "type": "fx-form-panel",
                        "shape": "panel",
                        "props": {
                            "size": "56",
                            "alignY": "center",
                            "alignX": "center"
                        },
                        "children": [
                            {
                                "id": "${newId()}",
                                "type": "fx-button-group",
                                "props": {
                                    "menus": []
                                },
                                "slots": {
                                    "default": [
                                        {
                                            "id": "${newId()}",
                                            "type": "fx-button",
                                            "props": {
                                                "name": "button:new",
                                                "label": "新增",
                                                "type": "primary",
                                                "action": "button:addCard"
                                            },
                                            "vars": {
                                                "$ref": "$ref"
                                            }
                                        },
                                        {
                                            "type": "fx-button",
                                            "props": {
                                                "name": "button:save-and-new",
                                                "label": "保存并新增",
                                                "type": "primary",
                                                "action": "button:saveAddCard",
                                                "linkType": "curr"
                                            },
                                            "id": "${newId()}",
                                            "vars": {
                                                "$ref": "$ref"
                                            }
                                        },
                                        {
                                            "type": "fx-button",
                                            "props": {
                                                "name": "button:save",
                                                "label": "保存",
                                                "type": "success",
                                                "action": "button:saveCard"
                                            },
                                            "id": "${newId()}",
                                            "vars": {
                                                "$ref": "$ref"
                                            }
                                        },
                                        {
                                            "type": "fx-button",
                                            "props": {
                                                "name": "button:submit",
                                                "label": "提交",
                                                "type": "primary",
                                                "action": "button:submit"
                                            },
                                            "id": "${newId()}",
                                            "vars": {
                                                "$ref": "$ref"
                                            }
                                        },
                                        {
                                            "type": "fx-button",
                                            "props": {
                                                "name": "button:retake",
                                                "label": "取回",
                                                "action": "button:retake"
                                            },
                                            "id": "${newId()}",
                                            "vars": {
                                                "$ref": "$ref"
                                            }
                                        },
                                        {
                                            "type": "fx-button",
                                            "props": {
                                                "name": "button:reject",
                                                "label": "驳回",
                                                "type": "warning",
                                                "action": "button:reject"
                                            },
                                            "id": "${newId()}",
                                            "vars": {
                                                "$ref": "$ref"
                                            }
                                        },
                                        {
                                            "type": "fx-button",
                                            "props": {
                                                "name": "button:disuse",
                                                "label": "作废",
                                                "type": "danger",
                                                "action": "button:disuse"
                                            },
                                            "id": "${newId()}",
                                            "vars": {
                                                "$ref": "$ref"
                                            }
                                        },
                                        {
                                            "type": "fx-button",
                                            "props": {
                                                "name": "button:interrupt",
                                                "label": "终止",
                                                "type": "danger",
                                                "action": "button:interrupt"
                                            },
                                            "id": "${newId()}",
                                            "vars": {
                                                "$ref": "$ref"
                                            }
                                        },
                                        {
                                            "type": "fx-button",
                                            "props": {
                                                "name": "button:delete",
                                                "label": "删除",
                                                "type": "danger",
                                                "action": "button:delCard"
                                            },
                                            "id": "${newId()}",
                                            "vars": {
                                                "$ref": "$ref"
                                            }
                                        },
                                        {
                                            "id": "${newId()}",
                                            "type": "fx-button",
                                            "props": {
                                                "name": "button:return",
                                                "label": "返回",
                                                "size": "default",
                                                "action": "button:backList"
                                            },
                                            "events": {},
                                            "vars": {
                                                "$ref": "$ref"
                                            }
                                        }
                                    ]
                                }
                            }
                        ]
                    },
                    {
                        "id": "${newId()}",
                        "type": "fx-form-panel",
                        "shape": "panel",
                        "props": {
                            "size": "16",
                            "backgroundColor": "--color-transparent"
                        },
                        "children": []
                    }
                ]
            }
        },
        {
            "page": {
                "id": "${newId()}",
                "type": "fx-dialog",
                "props": {
                    "title": "审批意见",
                    "key": "dlgOpt",
                    "width": "450px",
                    "height": "260px",
                    "showPrefix": true
                },
                "events": {}
            },
            "graph": {
                "shape": "panel",
                "id": "${newId()}",
                "type": "fx-split-panel",
                "props": {
                    "horizontal": false,
                "shadow": "never"
                },
                "children": [
                    {
                        "id": "${newId()}",
                        "type": "fx-split-panel",
                        "shape": "panel",
                        "props": {
                            "horizontal": false
                        },
                        "children": [
                            {
                                "shape": "panel",
                                "id": "${newId()}",
                                "type": "fx-form-panel",
                                "props": {
                                    "name": "dlgOptForm",
                                    "colNum": 1,
                                    "paddingTop": 24,
                                    "size": "0"
                                },
                                "children": [
                                    {
                                        "id": "${newId()}",
                                        "type": "fx-select",
                                        "props": {
                                            "name":"flowSelCommentRef",
                                            "label": "备选意见",
                                            "clearable": true,
                                            "labelWidth": 100,
                                            "affixError": true,
                                            "dataset": "dlgOpt",
                                            "field": "selComment",
                                            "size": "default"
                                        },
                                        "events": {
                                            "on-change": "onSelCommentChange"
                                        },
                                        "vars": {
                                            "$ref": "$ref"
                                        }
                                    },
                                    {
                                        "id": "${newId()}",
                                        "type": "fx-textarea",
                                        "props": {
                                            "label": "处理意见",
                                            "maxlength": 200,
                                            "placeholder": "请输入内容",
                                            "labelWidth": 100,
                                            "affixError": true,
                                            "size": "default",
                                            "dataset": "dlgOpt",
                                            "field": "comment",
                                            "rows": 4
                                        },
                                        "events": {}
                                    }
                                ]
                            },
                            {
                                "id": "${newId()}",
                                "type": "fx-form-panel",
                                "shape": "panel",
                                "props": {},
                                "children": []
                            }
                        ]
                    },
                    {
                        "id": "${newId()}",
                        "type": "fx-form-panel",
                        "shape": "panel",
                        "props": {
                            "size": "0"
                        },
                        "children": [
                            {
                                "id": "${newId()}",
                                "type": "fx-divider",
                                "props": {
                                    "label": "",
                                    "contentPosition": "center",
                                    "direction": "horizontal"
                                }
                            }
                        ]
                    },
                    {
                        "id": "${newId()}",
                        "type": "fx-form-panel",
                        "shape": "panel",
                        "props": {
                            "size": "50",
                            "alignX": "end",
                            "alignY": "center",
                            "paddingRight": 10
                        },
                        "children": [
                            {
                                "id": "${newId()}",
                                "type": "fx-button-group",
                                "props": {
                                    "showDropdown": false
                                },
                                "slots": {
                                    "default": [
                                        {
                                            "type": "fx-button",
                                            "props": {
                                                "label": "确认",
                                                "leftIcon": "correct",
                                                "type": "primary",
                                                "action": "button:dlgDynConfirm",
                                                "linkType": ""
                                            },
                                            "id": "${newId()}",
                                            "events": {}
                                        },
                                        {
                                            "type": "fx-button",
                                            "props": {
                                                "label": "取消",
                                                "leftIcon": "error",
                                                "action": "button:closeDialog"
                                            },
                                            "id": "${newId()}",
                                            "events": {}
                                        }
                                    ],
                                    "dropdown": []
                                }
                            }
                        ]
                    }
                ]
            }
        },
        {
            "page": {
                "id": "${newId()}",
                "type": "fx-dialog",
                "props": {
                    "title": "驳回",
                    "key": "dlgReject",
                    "width": "450px",
                    "height": "300px",
                    "showPrefix": true
                },
                "events": {}
            },
            "graph": {
                "shape": "panel",
                "id": "${newId()}",
                "type": "fx-split-panel",
                "props": {
                    "horizontal": false,
                    "shadow": "never"
                },
                "children": [
                    {
                        "id": "${newId()}",
                        "type": "fx-split-panel",
                        "shape": "panel",
                        "props": {
                            "horizontal": false
                        },
                        "children": [
                            {
                                "shape": "panel",
                                "id": "${newId()}",
                                "type": "fx-form-panel",
                                "props": {
                                    "name": "dlgOptForm",
                                    "colNum": 1,
                                    "paddingTop": 24,
                                    "size": "0"
                                },
                                "children": [
                                    {
                                        "id": "${newId()}",
                                        "type": "fx-select",
                                        "props": {
                                            "name":"flowToTaskRef",
                                            "label": "驳回到",
                                            "clearable": true,
                                            "labelWidth": 100,
                                            "affixError": true,
                                            "size": "default",
                                            "multiple": true,
                                            "dataset": "dlgOpt",
                                            "field": "toTaskId"
                                        },
                                        "events": {},
                                        "vars": {
                                            "$ref": "$ref"
                                        }
                                    },
                                    {
                                        "id": "${newId()}",
                                        "type": "fx-select",
                                        "props": {
                                            "name":"flowSelCommentRef",
                                            "label": "备选意见",
                                            "clearable": true,
                                            "labelWidth": 100,
                                            "affixError": true,
                                            "dataset": "dlgOpt",
                                            "field": "selComment",
                                            "size": "default"
                                        },
                                        "events": {
                                            "on-change": "onSelCommentChange"
                                        },
                                        "vars": {
                                            "$ref": "$ref"
                                        }
                                    },
                                    {
                                        "id": "${newId()}",
                                        "type": "fx-textarea",
                                        "props": {
                                            "label": "处理意见",
                                            "maxlength": 200,
                                            "placeholder": "请输入内容",
                                            "labelWidth": 100,
                                            "affixError": true,
                                            "size": "default",
                                            "dataset": "dlgOpt",
                                            "field": "comment",
                                            "rows": 4
                                        },
                                        "events": {}
                                    }
                                ]
                            },
                            {
                                "id": "${newId()}",
                                "type": "fx-form-panel",
                                "shape": "panel",
                                "props": {},
                                "children": []
                            }
                        ]
                    },
                    {
                        "id": "${newId()}",
                        "type": "fx-form-panel",
                        "shape": "panel",
                        "props": {
                            "size": "0"
                        },
                        "children": [
                            {
                                "id": "${newId()}",
                                "type": "fx-divider",
                                "props": {
                                    "label": "",
                                    "contentPosition": "center",
                                    "direction": "horizontal"
                                }
                            }
                        ]
                    },
                    {
                        "id": "${newId()}",
                        "type": "fx-form-panel",
                        "shape": "panel",
                        "props": {
                            "size": "50",
                            "alignX": "end",
                            "alignY": "center",
                            "paddingRight": 10
                        },
                        "children": [
                            {
                                "id": "${newId()}",
                                "type": "fx-button-group",
                                "props": {
                                    "showDropdown": false
                                },
                                "slots": {
                                    "default": [
                                        {
                                            "type": "fx-button",
                                            "props": {
                                                "label": "确认",
                                                "leftIcon": "correct",
                                                "type": "primary",
                                                "action": "button:dlgDynConfirm",
                                                "linkType": ""
                                            },
                                            "id": "${newId()}",
                                            "events": {}
                                        },
                                        {
                                            "type": "fx-button",
                                            "props": {
                                                "label": "取消",
                                                "leftIcon": "error",
                                                "action": "button:closeDialog"
                                            },
                                            "id": "${newId()}",
                                            "events": {}
                                        }
                                    ],
                                    "dropdown": []
                                }
                            }
                        ]
                    }
                ]
            }
        }
